<!--<div class="col s6 offset-s3 valign-wrapper" id="barrita" style="">
	<div class="progress" >
		<div class="indeterminate"></div>
	</div>
</div>-->

<div id="mainTwo" v-cloak>

	<div class="row container">
		<component :is="componenteActivo" :d="dataTable" :reset-list-status="resetListStatus" :swipe-component="swipeComponent" :data-buffer="dataBuffer" :renderModCamp="renderModCamp" :activa-campana="activaCampana" :delete-list="deleteList" :anadir-lead="anadirLead" :anadir-numero="anadirNumero" :cambia="cambia" :editar-lista="editarLista" :duplicar-lista="duplicarLista" :reiniciar-lista="reiniciarLista" :nombre-lista="nombreLista" :list-active="listActive" :download-status-list="downloadStatusList" :download-black-list='downloadBlackList' :delete-blacklist-elements="deleteBlacklistElements"></component>


		<div class="card-panel white modal" style="height: 500px; overflow-y:scroll;" id="formuModal">
			<form method="post" action="" onsubmit="creaLista(); return false;">
				<div class="row modal-content">
					<div class="col s8 offset-s2">
						<h5 class="center">{{i18n.gettext("Crear una lista negra")}}</h5>
					</div>
					<div class="input-field col s8 offset-s2">
						<input id="nombreLista" type="text" required="required">
						<label class="active" for="nombreLista">{{i18n.gettext("Nombre de la lista")}}</label>
					</div>
					<div class="input-field col s8 offset-s2">
						<input id="descripcionLista" type="text">
						<label class="active" for="descripcionLista">{{i18n.gettext("Descripcion de la lista")}}</label>
					</div>

					<div class="input-field col s8 offset-s2 center">
						<button class="modal-close btn waves-effect waves-light" onclick="$('#formuModal').modal('close');" type='button' id='CancelarCampa1'>{{i18n.gettext("Cancelar")}}
							<i class="material-icons right">cancel</i>
						</button>
						<button class="btn waves-effect waves-light " type="submit" name="action" id="botonCrea">{{i18n.gettext("Registrar")}}
							<i class="material-icons right">send</i>
						</button>
					</div>
					<div height="400"></div>
				</div>
			</form>
		</div>

		<div class="card-panel white modal" style="height: 500px; overflow-y:scroll;" id="modalEditar">
			<form method="post" action="" onsubmit="edita(); return false;">
				<div class="row modal-content">
					<div class="col s8 offset-s2">
						<h5 class="center">{{i18n.gettext("Editar la lista")}}: {{dataBuffer.idblacklist}} ({{dataBuffer.nombre}})</h5>
					</div>
					<div class="row">
						<div class="col s8 offset-s2">
							{{i18n.gettext("Nombre")}}: <br>
							<div class="input-field ">
								<input id="nombreListaEditar" type="text" required="required" v-bind:value="dataBufferEdit.nombre" onInput="cambiaNombre()">
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col s8 offset-s2">
							{{i18n.gettext("Descripción")}}: <br>
							<div class="input-field ">
								<input id="descripcionListaEditar" type="text" :value="dataBufferEdit.descripcion" onInput="cambiaNombre()">
							</div>
						</div>
					</div>
					<div class="input-field col s8 offset-s2 center">
						<button class="modal-close btn waves-effect waves-light" onclick="$('#modalEditar').modal('close');" type='button' id='CancelarCampa2'>{{i18n.gettext("Cancelar")}}
							<i class="material-icons right">cancel</i>
						</button>
						<button class="btn waves-effect waves-light " type="submit" name="action" id="botonEdita">{{i18n.gettext("Editar")}}
							<i class="material-icons right">send</i>
						</button>
					</div>
				</div>
			</form>
		</div>
		<div id="modalFormLeadDelete" class="modal">
			<div class="modal-content">
				<div class="row">
					<h5>{{i18n.gettext("Eliminar manualmente un registro")}}</h5>
					<div class="input-field col s8 offset-s2">
						<input id="elimTelefono" type="number" required="required" max="9999999999">
						<label class="active" for="elimTelefono">{{i18n.gettext("Telefono")}}</label>
					</div>


					<div class="input-field col s8 offset-s2 center">
						<button class="btn waves-effect waves-light " v-on:click="deleteOneNumber()" name="action" id="botonElmina">{{i18n.gettext("Eliminar")}}
							<i class="material-icons right">send</i>
						</button>
					</div>
					<div height="400"></div>
				</div>
				<div class='row'>
					<h4>{{i18n.gettext("Cargar registros")}}</h4>
					<p>{{i18n.gettext("Eliminar registros via CSV")}}</p>
					<form method="post" id="formuFilesDelete" onsubmit="return false;" enctype="multipart/form-data" action="">
						<center><a href="<?=TEMPLATES;?>templateBlackList.csv" download="Plantilla.csv">{{i18n.gettext("Descargar plantilla")}}:<i class="material-icons">cloud_download</i></a></center>
						<div class="file-field input-field">
							<div class="btn">
								<span>{{i18n.gettext("Archivo CSV")}}</span>
								<input type="file" id='archivocsvDelete' name="csv">
							</div>
							<div class="file-path-wrapper">
								<input class="file-path validate" type="text">
							</div>
						</div>
						<center>
							<button class="modal-close btn waves-effect waves-light" onclick="$('#modalFormLeadDelete').modal('close');" type='button'>{{i18n.gettext("Cancelar")}}
								<i class="material-icons right">cancel</i>
							</button>
							<button class="btn" onclick="eliminarDefinitivo()" id="botonParte1Delete">{{i18n.gettext("Subir")}}</button></center>
						<center><img src="<?=IMG_ADMIN;?>spinner.gif" id="spinnerParte1Delete"></center>
					</form>
				</div>
			</div>
		</div>
		<div id="modalFormLeadDelete2" class="modal">
			<div class="modal-content">
				<div class="row">
					<h5>{{i18n.gettext("Eliminar manualmente un registro")}}</h5>
					<div class="input-field col s8 offset-s2">
						<input id="elimTelefono2" type="text" required="required">
						<label class="active" for="elimTelefono2">{{i18n.gettext("Vendor Lead Code")}}</label>
					</div>


					<div class="input-field col s8 offset-s2 center">
						<button class="btn waves-effect waves-light " v-on:click="deleteOneLeadCode()" name="action" id="botonElmina">{{i18n.gettext("Eliminar")}}
							<i class="material-icons right">send</i>
						</button>
					</div>
					<div height="400"></div>
				</div>
				<div class='row'>
					<h4>{{i18n.gettext("Cargar registros")}}</h4>
					<p>{{i18n.gettext("Eliminar registros via CSV")}}</p>
					<form method="post" id="formuFilesDelete2" onsubmit="return false;" enctype="multipart/form-data" action="">
						<center><a href="<?=TEMPLATES;?>templateBlackListLead.csv" download="Plantilla.csv">{{i18n.gettext("Descargar plantilla")}}:<i class="material-icons">cloud_download</i></a></center>
						<div class="file-field input-field">
							<div class="btn">
								<span>{{i18n.gettext("Archivo CSV")}}</span>
								<input type="file" id='archivocsvDelete2' name="csv">
							</div>
							<div class="file-path-wrapper">
								<input class="file-path validate" type="text">
							</div>
						</div>
						<center>
							<button class="modal-close btn waves-effect waves-light" onclick="$('#modalFormLeadDelete2').modal('close');" type='button'>{{i18n.gettext("Cancelar")}}
								<i class="material-icons right">cancel</i>
							</button>
							<button class="btn" onclick="eliminarDefinitivo2()" id="botonParte1Delete2">{{i18n.gettext("Subir")}}</button></center>
						<center><img src="<?=IMG_ADMIN;?>spinner.gif" id="spinnerParte1Delete2"></center>
					</form>
				</div>
			</div>
		</div>
		<div id="modalFormLead" class="modal">
			<div class="modal-content">
				<h4>{{i18n.gettext("Cargar registros")}}</h4>
				<p>{{i18n.gettext("Añadir registros via CSV")}}</p>
				<form method="post" id="formuFiles" onsubmit="return false;" enctype="multipart/form-data" action="">
					<center><a href="<?=TEMPLATES;?>templateBlackList.csv" download="Plantilla.csv">{{i18n.gettext("Descargar plantilla")}}:<i class="material-icons">cloud_download</i></a></center>
					<div class="file-field input-field">
						<div class="btn">
							<span>{{i18n.gettext("Archivo CSV")}}</span>
							<input type="file" id='archivocsv' name="csv">
						</div>
						<div class="file-path-wrapper">
							<input class="file-path validate" type="text">
						</div>
					</div>
					<center>
						<button class="modal-close btn waves-effect waves-light" onclick="$('#modalFormLead').modal('close');" type='button' id='CancelarCampa3'>{{i18n.gettext("Cancelar")}}
							<i class="material-icons right">cancel</i>
						</button>
						<button class="btn" onclick="subirDefinitivo2()" id="botonParte1">{{i18n.gettext("Subir")}}</button></center>
					<center><img src="<?=IMG_ADMIN;?>spinner.gif" id="spinnerParte1"></center>
				</form>
			</div>
		</div>
		<div id="modalFormLead2" class="modal" style="width: 100%; height: 100%; max-height:90%; z-index:100000">
			<form method="post" id="formuFiles1" onsubmit="return false;" enctype="multipart/form-data" action="">
				<input type="hidden" name="lista" :value="listaActiva">
				<div class="modal-content ">
					<div class="row">
						<h4>{{i18n.gettext("Carga de CSV")}}</h4>
						<div v-for="(e,inde) in leadData.estados" class="col s4">
							<label>{{e.Estado}}</label>
							<div>
								<select class="browser-default" :name="e.Nombre" @change="cambia(e.Nombre)">
									<option value="-1">------</option>
									<option v-for="(item,index) in leadData.cabezeras" v-bind:value="index" :selected="relaciones[e.Nombre]==index?'selected':''">{{item}}</option>
								</select>
							</div>
						</div>
					</div>
					<center><button class="btn" onclick="subirDefinitivo()" id="botonParte2">{{i18n.gettext("Subir")}}</button>
						<button class="modal-close btn waves-effect waves-light" onclick="$('#modalFormLead2').modal('close');" type='button' id='CancelarCampa4'>{{i18n.gettext("Cancelar")}}
							<i class="material-icons right">cancel</i>
						</button></center>
					<center><img src="<?=IMG_ADMIN;?>spinner.gif" id="spinnerParte2"></center>
				</div>
			</form>
		</div>
		<div id="modalFormLead3" class="modal">
			<div class="modal-content">
				<h4>{{i18n.gettext("Cargar registros")}}</h4>
				<p>{{i18n.gettext("Añadir registros via CSV")}}</p>
				<form method="post" id="formuFiles21" onsubmit="return false;" enctype="multipart/form-data" action="">
					<center>
						<a href="<?=TEMPLATES;?>templateBlackListLead.csv" download="Plantilla.csv">
							{{i18n.gettext("Descargar plantilla")}}:
							<i class="material-icons">cloud_download</i>
						</a>
					</center>
					<div class="file-field input-field">
						<div class="btn">
							<span>{{i18n.gettext("Archivo CSV")}}</span>
							<input type="file" id='archivocsv2' name="csv" form="formuFiles21">
						</div>
						<div class="file-path-wrapper">
							<input class="file-path validate" type="text">
						</div>
					</div>
					<center>
						<button class="modal-close btn waves-effect waves-light" onclick="$('#modalFormLead3').modal('close');" type='button' id='CancelarCampa5'>
							{{i18n.gettext("Cancelar")}}
							<i class="material-icons right">cancel</i>
						</button>
						<button class="btn" onclick="subirDefinitivo()" id="botonParte3">
							{{i18n.gettext("Subir")}}
						</button>
					</center>
					<center><img src="<?=IMG_ADMIN;?>spinner.gif" id="spinnerParte3"></center>
				</form>
			</div>
		</div>
		<div id="modalResult" class="modal">
			<div class="modal-content">
				<h4>{{i18n.gettext("Carga exitosa")}}</h4>

				<div class="collection">
					<a class="collection-item black-text"><span class="badge">{{responseResult.lista}}</span><b>{{i18n.gettext("Lista")}}:</b></a>
					<a class="collection-item black-text"><span class="badge">{{responseResult.total}}</span><b>{{i18n.gettext("Total de registros")}}:</b></a>
					<a class="collection-item teal-text"><span class="badge">{{responseResult.total - responseResult.erroneos.length}}</span><b>
							{{i18n.gettext("Registros cargados exitosamente")}}:</b></a>
					<a class="collection-item red-text"><span class="badge">{{responseResult.erroneos.length}}</span><b>{{i18n.gettext("Registros erroneos")}}:</b></a>
					<ul class="collection">
						<div v-if="responseResult.erroneos.length>10">
							<li class="collection-item">
								<div>Se muestran las 10 primeras lineas donde hay un error<a href="#" class="secondary-content"><i class="material-icons">error_outline</i></a></div>
							</li>
						</div>
						<div v-for='lineas in responseResult.erroneos.slice(0,10)'>
							<li class="collection-item">
								<div>{{"Linea #"+lineas.Linea+" - Tel. "+lineas.Telefono+". "+lineas.Razon}}<a href="#" class="secondary-content"><i class="material-icons">error</i></a></div>
							</li>
							<div>
					</ul>
					<center><button class="modal-close btn waves-effect waves-light" onclick="$('#modalResult').modal('close');" type='button' id='CancelarCampa7'>Ok
							<i class="material-icons right">done</i>
						</button></center>
				</div>
			</div>
		</div>

	</div>
</div>
<br>
<br>
<br>



<!-- END MAIN -->
<!-- //////////////////////////////////////////////////////////////////////////// -->
<!-- START FOOTER -->
<?php require_once UTILS_PATH . 'footer.php';?>

<!-- END FOOTER -->
<!-- ================================================
    Scripts
    ================================================ -->
<!-- jQuery Library -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jquery-3.2.1.min.js"></script>
<!--materialize js-->
<script type="text/javascript" src="<?=JS_ADMIN;?>materialize.min.js"></script>
<!--scrollbar-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>perfect-scrollbar/perfect-scrollbar.min.js"></script>
<!-- chartjs -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>chartjs/chart.min.js"></script>
<!-- sparkline -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>sparkline/jquery.sparkline.min.js"></script>
<!-- google map api -->
<script type="text/javascript" src="<?=JS_ADMIN;?>maps.js"></script>
<!--jvectormap-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/vectormap-script.js"></script>
<!--google map-->

<!--plugins.js - Some Specific JS codes for Plugin Settings-->
<script type="text/javascript" src="<?=JS_ADMIN;?>plugins.js"></script>
<!--card-advanced.js - Page specific JS-->
<script type="text/javascript" src="<?=JS_ADMIN;?>scripts/dashboard-analytics.js"></script>
<!--custom-script.js - Add your own theme custom JS
    <script type="text/javascript" src="<?=JS_ADMIN;?>custom-script.js"></script>-->
<script src="<?=JS_ADMIN;?>vue.js"></script>
<script src="<?=JS_ADMIN;?>Chart.min.js"></script>
<script src="<?=JS_ADMIN;?>gauge.min.js"></script>
<script src="<?=JS_ADMIN;?>raphael.js"></script>
<script src="<?=JS_ADMIN;?>justgage.js"></script>
<script src="<?=LIB_JS;?>sweetalert2.js" type="text/javascript"></script>
<script>
	function cambiaNombre() {
		var save = app._data.dataBuffer;
		app._data.dataBufferEdit.nombre = $("#nombreListaEditar").val();
		app._data.dataBufferEdit.descripcion = $("#descripcionListaEditar").val();
		app._data.dataBuffer = save;
	}
</script>


<script>
	var a = document.getElementById('idioma');
	if (a.value == "es") {
		<?php if (defined("BANDERA_ES")) {?>
			document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-<?php echo BANDERA_ES; ?>"></span>&nbsp;';
		<?php } else {?>
			document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-mx"></span>&nbsp;';
		<?php }?>

	} else {

		document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-um"></span>&nbsp;';

	}

	$(document).ready(function() {
		$('.modal').modal({
			dismissible: false
		});
		var Arreglo = $('select');
		for (var i = 0; i < Arreglo.length; i++) {
			if (Arreglo[i].id != '') {
				$("#" + Arreglo[i].id).formSelect();
			}
		}
	});

	Vue.component('settings', {
		data: function() {
			return {

			}
		},
		props: ['swipeComponent', 'dataBuffer', 'deleteList', 'cambia', 'reiniciarLista', 'resetListStatus', 'nombreLista', 'listActive', 'downloadStatusList'],
		template: `
		<div class="animated fadeInLeft card-panel white">
   <div class='row'>
      <div class='col s10 offset-s1 '  >
         <center>
            <h3>{{nombreLista}}</h3>
         </center>
      </div>
   </div>
   <div class='row'>
      <div class="col s12 ">
	  	<h5>Detalles</h5>
         <table class="responsive-table striped">
            <thead>
               <tr>
                  <th>{{traducirFrase('Estado')}}</th>
                  <th>{{traducirFrase('Nombre de estado')}}</th>
                  <th v-for='n in dataBuffer.Tabla5.total.Registros.length'>{{n-1}}</th>
                  <th>Subtotal</th>
                  <th>Opciones</th>
               </tr>
            </thead>
            <tbody>
               <tr v-for='stat in dataBuffer.Tabla5.Registros'>
                  <td>{{stat.Status}}</td>
                  <td>{{stat.NombreStatus}}</td>
                  <td v-for='pas in stat.Pasadas'>
                     {{pas}}
                  </td>
                  <td>{{stat.subtotal}}</td>
                  <td>
                     <a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Reiniciar estado')" data-position="top" v-on:click="resetListStatus(stat.Status, stat.NombreStatus)"><i class="material-icons">refresh</i></a>
                     <a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Descargar reporte de estado')" data-position="top" v-on:click="downloadStatusList(stat.Status, listActive)"><i class="material-icons">file_download</i></a>
                  </td>
               </tr>
            </tbody>
            <thead>
               <tr>
                  <th colspan='2'>Total</th>
                  <th v-for='tot in dataBuffer.Tabla5.total.Registros'>
                     {{tot}}
                  </th>
                  <th>{{dataBuffer.Tabla5.total.total}}</th>
                  <th></th>
               </tr>
            </thead>
         </table>
      </div>
      <div class="col s12  ">
         <h5>Estados en la lista</h5>
         <table class="responsive-table striped">
            <thead>
               <tr>
                  <th>Status</th>
                  <th>Nombre del estado</th>
                  <th>Llamado</th>
                  <th>No llamado</th>
                  <th>Marcable</th>
                  <th>Porcentaje</th>
               </tr>
            </thead>
            <tbody>
               <tr v-for='stat in dataBuffer.Tabla1.Registros'>
                  <td>{{stat.status}}</td>
                  <td>{{stat.nombreStatus}}</td>
                  <td>{{stat.llamado}}</td>
                  <td>{{stat.noLlamado}}</td>
                  <td>{{stat.marcable}}</td>
                  <td>{{stat.penetracion}}%</td>
               </tr>
            </tbody>
            <thead>
               <tr>
                  <th colspan='2'>Subtotales</th>
                  <th>{{dataBuffer.Tabla1.subtotales.llamado}}</th>
                  <th>{{dataBuffer.Tabla1.subtotales.noLlamado}}</th>
                  <th></th>
                  <th></th>
               </tr>
               <tr>
                  <th colspan='2'>Totales</th>
                  <th>{{dataBuffer.Tabla1.totales.llamado}}</th>
                  <th></th>
                  <th>{{dataBuffer.Tabla1.totales.marcable}}</th>
                  <th>{{dataBuffer.Tabla1.totales.penetracion}}%</th>
               </tr>
            </thead>
         </table>
      </div>
      <div class="col s6  ">
         <h5>Zonas horarias en esta lista</h5>
         <table class="responsive-table striped">
            <thead>
               <tr>
                  <th>GMT(Tiempo Local)</th>
                  <th>Llamado</th>
                  <th>No llamado</th>
               </tr>
            </thead>
            <tbody>
               <tr v-for='zona in dataBuffer.Tabla2.Registros'>
                  <td>{{zona.GTM}}</td>
                  <td>{{zona.llamado}}</td>
                  <td>{{zona.noLlamado}}</td>
               </tr>
            </tbody>
            <thead>
               <tr>
                  <th>Subtotales</th>
                  <th>{{dataBuffer.Tabla2.subtotales.llamado}}</th>
                  <th>{{dataBuffer.Tabla2.subtotales.noLlamado}}</th>
               </tr>
               <tr>
                  <th>Total</th>
                  <th colspan='2'>{{dataBuffer.Tabla2.total}}</th>
               </tr>
            </thead>
         </table>
      </div>
      <div class="col s6  ">
         <h5>Dueños en esta lista</h5>
         <table class="responsive-table striped">
            <thead>
               <tr>
                  <th>Dueño</th>
                  <th>Llamado</th>
                  <th>No llamado</th>
               </tr>
            </thead>
            <tbody>
               <tr v-for='dueno in dataBuffer.Tabla3.Registros'>
                  <td>{{dueno.dueno}}</td>
                  <td>{{dueno.llamado}}</td>
                  <td>{{dueno.noLlamado}}</td>
               </tr>
            </tbody>
            <thead>
               <tr>
                  <th>Subtotales</th>
                  <th>{{dataBuffer.Tabla3.subtotales.llamado}}</th>
                  <th>{{dataBuffer.Tabla3.subtotales.noLlamado}}</th>
               </tr>
               <tr>
                  <th>Total</th>
                  <th colspan='2'>{{dataBuffer.Tabla3.total}}</th>
               </tr>
            </thead>
         </table>
      </div>
      <div class='col s2 offset-s5'>
	  	 <br>
         <button id="botonBack" class="waves-effect waves-light btn center-align" v-on:click="swipeComponent('settingsDef')">Volver<i class="material-icons right">arrow_back</i></button>
      </div>
   </div>
</div>

		`,
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		mounted: function() {
			var bla;

			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}
				document.getElementById("botonBack").style.filter = "invert(100%)";
			}

			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel')
				bla = Array.prototype.slice.call(bla)
				cambiarAOscuro();
			}
		}
	})
	Vue.component('modtable', {
		data: function() {
			return {

			}
		},
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		props: ['dataBuffer', 'renderModCamp', 'resetListStatus']

	})
	Vue.component('campaigntable', {
		data: function() {
			return {

			}
		},
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		mounted: function() {
			var bla;

			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}

			}
			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel');
				bla = Array.prototype.slice.call(bla);
				cambiarAOscuro();
			}
		},
		props: ['d', 'swipeComponent', 'activaCampana', 'deleteList', 'anadirLead', 'anadirNumero', 'cambia', 'editarLista',
			'duplicarLista', 'reiniciarLista', 'resetListStatus', 'downloadBlackList', 'deleteBlacklistElements'
		],
		template: `
		<div class="animated fadeInRight">
<div class="col s12 card-panel white" style= "margin-top: 75px;">
	<br>
    <div class="row">
        <div class="col s3">
            <input type="text" id="busqueda" class="form-control" :placeholder="translate('Busqueda')" oninput="refresca()">
        </div>

    </div>
	<table class="table striped highlight responsive-table">
		<thead>
			<tr>
				<th id="th1">{{traducirFrase('ID')}}</th>
				<th id="th2">{{traducirFrase('Nombre')}}</th>
				<th id="th3">{{traducirFrase('Descripcion')}}</th>
				<th id="th7">{{traducirFrase('Opciones')}}</th>
			</tr>
		</thead>
		<tbody>
			<tr v-for="dato in d.Listas">
				<td>{{dato.idblacklist}}</td>
				<td>{{dato.nombre}}</td>
				<td>{{dato.descripcion}}</td>

				<td>
					<?php if ($_SESSION["Grupo"] == GRUPO_ADMINS) {?>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Editar lista negra')" data-position="top" v-on:click="editarLista(dato.idblacklist)"><i class="material-icons">edit</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Duplicar lista')" data-position="top" v-on:click="duplicarLista(dato.nombre,dato.idblacklist)"><i class="material-icons">content_copy</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Borrar lista negra')" data-position="top" v-on:click="deleteList(dato.nombre,dato.idblacklist)"><i class="material-icons">delete</i></a>
					<?php }?>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Añadir registros(numeros)')" data-position="top" v-on:click="anadirNumero(dato.nombre,dato.idblacklist)"><i class="material-icons">add</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Añadir registros(leadcode)')" data-position="top" v-on:click="anadirLead(dato.nombre,dato.idblacklist)"><i class="material-icons">add</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Borrar registros(numeros)')" data-position="top" v-on:click="deleteBlacklistElements(dato.nombre, dato.idblacklist,1)"><i class="material-icons">delete_forever</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Borrar registros(leadcode)')" data-position="top" v-on:click="deleteBlacklistElements(dato.nombre, dato.idblacklist,2)"><i class="material-icons">delete_forever</i></a>
					<a href="#" class="tooltipped"  v-bind:data-tooltip="translate('Descargar lista negra')" data-position="top" v-on:click="downloadBlackList(dato.idblacklist)"><i class="material-icons">file_download</i></a>

				</td>


			</tr>
		</tbody>
	</table>
	<center><img src="<?=IMG_ADMIN;?>spinner.gif"  id ='barrita'></center>
	<br>
	<?php if ($_SESSION["Grupo"] == GRUPO_ADMINS) {?>
	<div class="center">
		<a class="waves-effect waves-light btn blue modal-trigger lighten-2 " href="#formuModal" onClick="limpiar();dameCampanas();" id="Nueva Lista">{{traducirFrase('Nueva lista negra')}}</a>
	</div>
	<?php }?>
	<ul class="pagination center" id='paginacion'>

	</ul>
</div>
</div>
`
	});
	var banderaEditar = true;
	var app = new Vue({
		el: '#main',
		data: {
			ls: localStorage.getItem('background'),
			pagina: 1,
			dataTable: {},
			dataBufferEdit: {
				list_id: "",
				list_name: "",
				campaign_id: "",
				list_description: ""
			},
			value: true,
			componenteActivo: 'campaigntable',
			dataBuffer: {},
			dataForm: [],
			leadData: {},
			campanas: {},
			listaActiva: 1,
			relaciones: [],
			responseResult: {
				erroneos: [],
				total: 0,
				estado: "ok",
				lista: ""
			},
			listaActual: {
				list_id: "",
				list_name: "",
				list_description: "",
				campaign_id: ""
			},
			leadFlag: true,
			listActive: "",
			nombreLista: "",
			i18n: i18n
		},
		mounted: function() {
			var bla;
			$('.tooltipped').tooltip();

			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}
			}

			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel')
				bla = Array.prototype.slice.call(bla)
				cambiarAOscuro();
			}
		},
		methods: {
			downloadBlackList: function(id) {
				window.location = "ListasNegras/downloadBlackList?idBlackList=" + id;
			},
			deleteOneNumber: function() {
				var telefono = $("#elimTelefono").val();
				Swal.fire({
						title: i18n.gettext("Eliminar telefono de la lista negra"),
						text: i18n.gettext("¿Desea borrar el numero") + ' : ' + telefono + '?\n ' + i18n.gettext("Esta acción no se puede deshacer"),
						type: 'warning',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: i18n.gettext("Continuar"),
						cancelButtonText: i18n.gettext("Cancelar")
					})
					.then((result) => {
						if (result.value) {
							$.ajax({
								url: "ListasNegras/deleteNumber",
								type: "POST",
								data: {
									phone_number: telefono,
									lista: app.listaActiva
								},
								dataType: "text",
								success: function(response) {

									var res = JSON.parse(response);
									if (res.Estado == "error") {
										M.toast({
											'html': res.Descripcion
										});
									} else {
										M.toast({
											'html': traducirFrase('Número eliminado')
										});
										$('#Eliminar').modal('close');
										$("#elimTelefono").val('');
									}
								}
							});

						}
					});
			},
			deleteOneLeadCode: function() {
				var telefono = $("#elimTelefono2").val();
				Swal.fire({
						title: i18n.gettext("Eliminar leadcode de la lista negra"),
						text: i18n.gettext("¿Desea borrar el leadcode") + ' : ' + telefono + '?\n ' + i18n.gettext("Esta acción no se puede deshacer"),
						type: 'warning',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: i18n.gettext("Continuar"),
						cancelButtonText: i18n.gettext("Cancelar")
					})
					.then((result) => {
						if (result.value) {
							$.ajax({
								url: "ListasNegras/deleteLeadCode",
								type: "POST",
								data: {
									phone_number: telefono,
									lista: app.listaActiva
								},
								dataType: "text",
								success: function(response) {

									var res = JSON.parse(response);
									if (res.Estado == "error") {
										M.toast({
											'html': res.Descripcion
										});
									} else {
										M.toast({
											'html': traducirFrase('LeadCode eliminado')
										});
										$('#Eliminar').modal('close');
										$("#elimTelefono").val('');
									}
								},
								error: function(err) {
									console.log(err);
								}
							});

						}
					});
			},
			renderModCamp: function(comp, id) {
				this.componenteActivo = comp;
				this.dataBuffer = id;
			},
			anadirNumero: function(nombre, id) {
				limpiar();
				$("#spinnerParte1").hide();
				$('#modalFormLead').modal('open');
				this.listaActiva = id;
			},
			anadirLead: function(nombre, id) {
				limpiar2();
				$("#spinnerParte3").hide();
				$('#modalFormLead3').modal('open');
				this.listaActiva = id;
			},
			deleteBlacklistElements: function(nombre, id, tipo) {
				// limpiar();
				if (tipo == 1) {
					$("#spinnerParte1Delete").hide();
					$('#modalFormLeadDelete').modal('open');
					this.listaActiva = id;
				} else {
					$("#spinnerParte1Delete2").hide();
					$('#modalFormLeadDelete2').modal('open');
					this.listaActiva = id;
				}
			},
			reiniciarLista: function(nombre, id) {
				Swal.fire({
					title: i18n.gettext("Reiniciar lista"),
					text: i18n.gettext("¿Desea reiniciar la lista") + ' : ' + nombre + '?\n.',
					type: 'question',
					showCancelButton: true,
					confirmButtonColor: '#3085d6',
					cancelButtonColor: '#d33',
					confirmButtonText: i18n.gettext("Si"),
					cancelButtonText: i18n.gettext("No")
				}).then((result) => {
					if (result.value) {
						M.toast({
							'html': traducirFrase('Reiniciando lista, por favor espere.')
						});
						$.ajax({
							url: "listas/resetList",
							type: "POST",
							data: {
								lista: id
							},
							dataType: "text",
							success: function(response) {
								refresca();
								var res = {};
								try {
									res = JSON.parse(response);
								} catch (e) {
									M.toast({
										'html': traducirFrase('Error al reiniciar la lista')
									});
									console.error(e);
									console.log(response);
								}
								if (res.Estado == 'ok') {
									M.toast({
										'html': traducirFrase('Lista reiniciada exitosamente')
									});

								} else {
									M.toast({
										'html': res.Descripcion
									});
								}
							}
						});
					}
				});
			},
			duplicarLista: function(nombre, id) {
				Swal.fire({
					title: i18n.gettext("Duplicar lista"),
					text: i18n.gettext("¿Desea duplicar la lista") + ' : ' + nombre + '?\n.',
					type: 'question',
					showCancelButton: true,
					confirmButtonColor: '#3085d6',
					cancelButtonColor: '#d33',
					confirmButtonText: i18n.gettext("Si"),
					cancelButtonText: i18n.gettext("No")
				}).then((result) => {
					if (result.value) {
						M.toast({
							'html': traducirFrase('Duplicando lista, por favor espere.')
						});
						$.ajax({
							url: "ListasNegras/duplicateBlackList",
							type: "POST",
							data: {
								lista: id
							},
							dataType: "text",
							success: function(response) {
								refresca();
								var res = {};
								try {
									res = JSON.parse(response);
								} catch (e) {
									M.toast({
										'html': traducirFrase('Error al duplicar la lista')
									});
									console.error(e);
									console.log(response);
								}
								if (res.Estado == 'ok') {
									M.toast({
										'html': traducirFrase('Lista duplicada exitosamente')
									});

								} else {
									M.toast({
										'html': res.Descripcion
									});
								}
							}
						});
					}
				});
			},
			editarLista: function(id) {
				dameCampanas();

				M.toast({
					'html': i18n.gettext('Cargando datos')
				});
				if (banderaEditar) {

					$.ajax({
						url: "ListasNegras/getBlackListDetails",
						type: "POST",
						data: {
							lista: id
						},
						dataType: "text",
						success: function(response) {
							var res = JSON.parse(response);
							if (res.Estado == "ok") {
								if (banderaEditar) {
									app.dataBuffer = res.Lista;
									app.dataBufferEdit = res.Lista;
									$('#modalEditar').modal('open');
								}
							} else {
								M.toast({
									'html': res.Descripcion
								});
							}
						}
					});
				}
			},
			resetListStatus: function(id, nombre) {
				Swal.fire({
					type: 'warning',
					title: traducirFrase('Reencolar lista'),
					text: '¿Desea reencolar los estatus de: ' + nombre + '?\n'+traducirFrase('Esta acción no se puede deshacer'),
					showCancelButton: true,
					confirmButtonColor: '#3085d6',
					cancelButtonColor: '#d33',
					confirmButtonText: traducirFrase('Si'),
					cancelButtonText: traducirFrase("Cancelar"),
					preConfirm: () => {
						$.ajax({
							url: "listas/resetList",
							type: "POST",
							data: {
								status: id,
								lista: app.listActive
							},
							dataType: "text",
							success: function(response) {
								var res = JSON.parse(response);
								if (res.Estado == 'ok') {
									M.toast({
										html: traducirFrase("Los registros con el status ") + nombre + traducirFrase(" han sido reiniciados")
									});
								} else {
									M.toast({
										html: res.Descripcion
									});
								}
							}
						});
					}
				});

			},
			swipeComponent: function(component, id, nombreLista) {
				M.toast({
					'html': i18n.gettext('Cargando datos')
				});
				if (component == "settings") {
					dameCampanas();
					app.listActive = id;
					$.ajax({
						url: "listas/getListDetails",
						type: "POST",
						data: {
							lista: id
						},
						dataType: "text",
						success: function(response) {
							var res = JSON.parse(response);
							if (res.Estado == "ok") {
								app.dataBuffer = res;
								app.componenteActivo = component;
								app.nombreLista = nombreLista;
							} else {
								M.toast({
									'html': res.Descripcion
								});
							}
						}
					});

				} else {
					if (component == 'settingsDef') {
						app.componenteActivo = 'campaigntable';
					} else {
						app.componenteActivo = component;
					}

				}

			},
			downloadStatusList: function(idStatus, idLista) {
				window.location.assign(`<?=MODULOS;?>Listas/getLeads?csv=true&status=${idStatus}&lista=${idLista}`);
			},
			deleteList: function(nombre, id) {
				Swal.fire({
						title: i18n.gettext("Eliminar lista"),
						text: i18n.gettext("¿Desea borrar la lista") + ' : ' + nombre + '?\n ' + i18n.gettext("Esta acción no se puede deshacer"),
						type: 'warning',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: i18n.gettext("Continuar"),
						cancelButtonText: i18n.gettext("Cancelar")
					})
					.then((result) => {
						if (result.value) {
							$.ajax({
								url: "ListasNegras/deleteBlackList",
								type: "POST",
								data: {
									lista: id
								},
								dataType: "text",
								success: function(response) {
									refresca();
									var res = JSON.parse(response);
									if (res.Estado == "error") {
										M.toast({
											'html': res.Descripcion
										});
									} else {
										M.toast({
											'html': traducirFrase('Lista eliminada')
										});
									}
								}
							});
							Swal.fire(traducirFrase("Borrado"));
						}
					});

			},
			activaCampana: function(id) {
				M.toast({
					'html': traducirFrase('Modificando lista, porfavor espere.')
				});
				$.ajax({
					url: "listas/changeListStatus",
					type: "POST",
					data: {
						idLista: id
					},
					dataType: "text",
					success: function(response) {
						try {
							var res = JSON.parse(response);
						} catch (e) {
							M.toast({
								'html': traducirFrase('Error al modificar campaña')
							});
							return console.error(e);

						}
						if (res.Estado == 'ok') {
							M.toast({
								'html': traducirFrase('Campaña modificada')
							});

						} else {
							M.toast({
								'html': res.Descripcion
							});
						}
					}
				});
				$.ajax({
					url: "listas/getLists",
					type: "POST",
					data: {
						pagina: app.pagina
					},
					dataType: "text",
					success: function(response) {
						var res = JSON.parse(response);

						if (res.Estado == 'ok') {
							app.dataTable = res;
						} else {
							M.toast({
								html: res.Descripcion
							});
						}

					}
				});
			},
			cambia: function(cual) {
				this.relaciones[cual] = $('[name="' + cual + '"]').val();
			}
		},
		created: function() {
			M.toast({
				'html': i18n.gettext("Cargando listas, por favor espere") + "."
			});
		},
		computed: {
			classObject: function() {
				if (this.ls == 'white') {
					return 'black-text';
				} else {
					return 'white-text';
				}
			}

		}
	});
	var leadData = {};

	function eliminarDefinitivo() {
		$("#botonParte2").prop("disabled", true);
		var fd = new FormData(document.getElementById('formuFiles1'));
		var fd1 = new FormData(document.getElementById('formuFilesDelete'));
		fd.append('csv', fd1.get('csv'));
		fd.append('estricto', 'N');

		$("#spinnerParte2Delete").show();
		$.ajax({
			url: 'ListasNegras/deleteNumbers',
			type: 'POST',
			data: fd,
			cache: false,
			contentType: false,
			processData: false,
			dataType: 'text'
		}).done(function(resp) {
			var res = JSON.parse(resp);
			if (res.Estado == "ok") {
				M.toast({
					'html': traducirFrase('Archivo cargado correctamente')
				});
				app.responseResult = res;
				$('#modalResult').modal('open');
				$("#formuFilesDelete").val("");
				$("#formuFiles1").val("");
			} else {
				M.toast({
					'html': res.Descripcion
				});
			}
		}).fail(function() {
			M.toast({
				'html': traducirFrase('Archivo invalido')
			});
		}).always(function() {
			$("#formuFilesDelete").val("");
			$("#formuFiles1").val("");
			$('#modalFormLeadDelete').modal('close');
			$("#spinnerParte2Delete").hide();
			$("#botonParte2Delete").prop("disabled", false);
		});
	}

	function eliminarDefinitivo2() {
		$("#botonParte2").prop("disabled", true);
		var fd = new FormData(document.getElementById('formuFiles1'));
		var fd1 = new FormData(document.getElementById('formuFilesDelete2'));
		fd.append('csv', fd1.get('csv'));
		fd.append('estricto', 'N');

		$("#spinnerParte2Delete").show();
		$.ajax({
			url: 'ListasNegras/deleteLeadCodes',
			type: 'POST',
			data: fd,
			cache: false,
			contentType: false,
			processData: false,
			dataType: 'text'
		}).done(function(resp) {
			var res = JSON.parse(resp);
			if (res.Estado == "ok") {
				M.toast({
					'html': traducirFrase('Archivo cargado correctamente')
				});
				app.responseResult = res;
				$('#modalResult').modal('open');
				$("#formuFilesDelete2").val("");
				$("#formuFiles1").val("");
			} else {
				M.toast({
					'html': res.Descripcion
				});
			}
		}).fail(function() {
			M.toast({
				'html': traducirFrase('Archivo invalido')
			});
		}).always(function() {
			$("#formuFilesDelete2").val("");
			$("#formuFiles1").val("");
			$('#modalFormLeadDelete').modal('close');
			$("#spinnerParte2Delete").hide();
			$("#botonParte2Delete").prop("disabled", false);
		});
	}

	function subirDefinitivo() {
		$("#botonParte3").prop("disabled", true);
		var fd = new FormData();
		fd.append('csv', $("#archivocsv2")[0].files[0]);
		fd.append('lista', app.listaActiva);
		fd.append('estricto', 'N');

		$("#spinnerParte3").show();
		$.ajax({
			url: 'ListasNegras/uploadLeadCode',
			type: 'POST',
			data: fd,
			cache: false,
			contentType: false,
			processData: false,
			dataType: 'text'
		}).done(function(resp) {
			var res = JSON.parse(resp);
			if (res.Estado == "ok") {
				M.toast({
					'html': traducirFrase('Archivo cargado correctamente')
				});
				app.responseResult = res;
				$('#modalResult').modal('open');
				$("#formuFiles2").val("");
				$("#formuFiles21").val("");
			} else {
				M.toast({
					'html': res.Descripcion
				});
			}
		}).fail(function() {
			M.toast({
				'html': traducirFrase('Archivo invalido')
			});
		}).always(function() {
			$("#formuFiles2").val("");
			$("#formuFiles21").val("");
			$('#modalFormLead3').modal('close');
			$("#spinnerParte3").hide();
			$("#botonParte3").prop("disabled", false);
		});
	}

	function subirDefinitivo2() {
		$("#botonParte2").prop("disabled", true);
		var fd = new FormData(document.getElementById('formuFiles1'));
		var fd1 = new FormData(document.getElementById('formuFiles'));
		fd.append('csv', fd1.get('csv'));
		fd.append('estricto', 'N');

		$("#spinnerParte2").show();
		$.ajax({
			url: 'ListasNegras/uploadNumbers',
			type: 'POST',
			data: fd,
			cache: false,
			contentType: false,
			processData: false,
			dataType: 'text'
		}).done(function(resp) {
			var res = JSON.parse(resp);
			if (res.Estado == "ok") {
				M.toast({
					'html': traducirFrase('Archivo cargado correctamente')
				});
				app.responseResult = res;
				$('#modalResult').modal('open');
				$("#formuFiles").val("");
				$("#formuFiles1").val("");
			} else {
				M.toast({
					'html': res.Descripcion
				});
			}
		}).fail(function() {
			M.toast({
				'html': traducirFrase('Archivo invalido')
			});
		}).always(function() {
			$("#formuFiles").val("");
			$("#formuFiles1").val("");
			$('#modalFormLead2').modal('close');
			$("#spinnerParte2").hide();
			$("#botonParte2").prop("disabled", false);
		});
	}

	function subirLead() {
		$("#botonParte1").prop("disabled", true);
		$("#spinnerParte1").show();
		var fd = new FormData(document.getElementById('formuFiles'));
		$.ajax({
			url: 'ListasNegras/uploadNumbers',
			type: 'POST',
			data: fd,
			cache: false,
			contentType: false,
			processData: false,
			dataType: 'text'
		}).done(function(resp) {
			var res = JSON.parse(resp);
			if (res.Estado == "ok") {

				for (var i = 0; i < res.estados.length; i++) {
					if (res.estados[i].Equivalencia == null) {
						app._data.relaciones[res.estados[i].Nombre] = -1;
					} else {
						app._data.relaciones[res.estados[i].Nombre] = res.estados[i].Equivalencia;
					}
				}
				M.toast({
					'html': traducirFrase('Archivo cargado correctamente')
				});
				$("#formuFiles").val("");
				app.leadData = res;
				$("#spinnerParte2").hide();
				if (!document.getElementById('plantilla').checked) {
					$('#modalFormLead2').modal('open');
				} else {
					setTimeout(function() {
						subirDefinitivo();
					}, 2000);
				}
			} else {
				M.toast({
					'html': res.Descripcion
				});
			}
		}).fail(function() {
			M.toast({
				'html': traducirFrase('Archivo invalido')
			});
		}).always(function() {
			$("#formuFiles").val("");
			$("#spinnerParte1").hide();
			$('#modalFormLead').modal('close');
			$("#botonParte1").prop("disabled", false);
		});

	}

	function limpiar() {
		$("#nombreLista").val("");
		$("#campana").val("");
		$("#descripcionLista").val("");
		document.getElementById('formuFiles1').reset();
		document.getElementById('formuFiles').reset();
	}

	function limpiar2() {
		document.getElementById('formuFiles21').reset();
	}

	function dameCampanas() {

		$.ajax({
			url: "campanas/getCampaignsSelect",
			type: "POST",
			data: {},
			dataType: "text",
			success: function(response) {
				var res = JSON.parse(response);
				if (res.Estado == 'ok') {
					app._data.campanas = res.Campanas;
				} else {
					M.toast({
						html: res.Descripcion
					});
				}
			}
		});
	}
	var flagCarga = true;

	function refresca() {
		if (flagCarga) {
			$("#barrita").hide();
			flagCarga = false;
			$.ajax({
				url: "ListasNegras/getBlackLists",
				type: "POST",
				data: {
					texto: $("#busqueda").val(),
					pagina: app.pagina
				},
				dataType: "text",
				success: function(response) {
					flagCarga = true;
					var res = JSON.parse(response);
					if (res.Estado == 'ok') {
						app.dataTable = res;

						$("#paginacion").html("");
						var Anterior = res.Cuenta;
						res.Cuenta /= 10;
						res.Cuenta = Math.floor(res.Cuenta);
						if (Anterior % 10 != 0) {
							res.Cuenta++;
						}
						if (app.pagina == 1) {
							$("#paginacion").append(
								"<li class='disabled'><a href='#!'><i class='material-icons'>chevron_left</i></a></li>");
						} else {
							$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (app.pagina - 1) +
								")'><i class='material-icons'>chevron_left</i></a></li>");
						}
						for (var i = 0; i < res.Cuenta; i++) {
							if (app.pagina == (i + 1)) {
								$("#paginacion").append("<li class='active blue lighten-2 '><a href='javascript:cambiaPagina(" + (i + 1) +
									")'>" + (i + 1) + "</a></li>");
							} else {
								$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (i + 1) + ")'>" + (i +
									1) + "</a></li>");
							}
						}
						if (app.pagina == res.Cuenta || res.Cuenta == 0) {
							$("#paginacion").append(
								"<li class='disabled'><a href='#!'><i class='material-icons'>chevron_right</i></a></li>");
						} else {
							$("#paginacion").append("<li class='waves-effect'><a href='javascript:cambiaPagina(" + (app.pagina + 1) +
								")'><i class='material-icons'>chevron_right</i></a></li>");
						}
						setTimeout(() => {
							$('.tooltipped').tooltip();
						}, 1000);
					} else {
						M.toast({
							html: res.Descripcion
						});
					}
				}
			});
		}
	}
	setInterval(function() {
		refresca();
	}, 5000);

	function edita() {
		$("#botonEdita").prop('disabled', true);
		$.ajax({
			url: "ListasNegras/updateBlackList",
			type: "POST",
			data: {
				id: app._data.dataBufferEdit.idblacklist,
				nombre: $("#nombreListaEditar").val(),
				descripcion: $("#descripcionListaEditar").val()
			},
			dataType: "text",
			success: function(response) {
				var res = JSON.parse(response);
				if (res.Estado == "error") {
					M.toast({
						'html': res.Descripcion
					});
				} else {
					$("#nombreListaEditar").val("");
					$("#descripcionListaEditar").val("");
					M.toast({
						'html': traducirFrase('Lista editada')
					});
					$('#modalEditar').modal('close');
				}
				$("#botonEdita").prop('disabled', false);
				refresca();
			}
		});
	}

	function cambiaPagina(pag) {
		app.pagina = pag;
		refresca();
	}

	function creaLista() {
		$("#botonCrea").prop('disabled', true);
		$.ajax({
			url: "ListasNegras/addBlackList",
			type: "POST",
			data: {
				id: $("#idLista").val(),
				nombre: $("#nombreLista").val(),
				descripcion: $("#descripcionLista").val()
			},
			dataType: "text",
			success: function(response) {
				var res = JSON.parse(response);
				if (res.Estado == "error") {
					M.toast({
						'html': res.Descripcion
					});
				} else {
					$("#nombreListaEditar").val("");
					$("#descripcionListaEditar").val("");
					M.toast({
						'html': traducirFrase('Lista creada')
					});
					$('#formuModal').modal('close');
				}
				$("#botonCrea").prop('disabled', false);
				refresca();
			}
		});

	}
</script>

</body>

<!-- Mirrored from pixinvent.com/materialize-material-design-admin-template/html/horizontal-menu/ by HTTrack Website Copier/3.x [XR&CO'2014], Tue, 07 Aug 2018 16:55:15 GMT -->

</html>